import { Ref } from "vue";
interface Actions<T> {
    add: (value: T) => void;
    remove: (value: T) => void;
    has: (value: T) => boolean;
    clear: () => void;
    reset: () => void;
}
declare function useSet<T = any>(initialValue?: T[]): [state: Ref<Set<any>>, actions: Actions<T>];
export default useSet;
